Skip to content
POST/api/{version}/objects/documents/{doc_id}/attachments/{attachment_id}/versions/{attachment_version}?restore=true
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{attachment_id}The attachment id field value.
{attachment_version}The attachment version__v field value.
NameDescription
restoreThe parameter restore must be set to true.
curl -X POST -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.1/objects/documents/565/attachments/567/versions/2?restore=true
{ "responseStatus": "SUCCESS", "data": { "id": "567", "version__v": 3 } }

On SUCCESS, Vault restores the specific version of an existing attachment to make it the latest version. The response will contain the attachment ID and version of the restored attachment.